/* @group @variables */

[class*="o-root-hero"] {
--head-2-font-size: clamp(2.25rem, 1.536rem + 3.57vw, 3.75rem);/* 36-60 to 320-992 */
--head-2-line-height: 1.2;
--head-3-font-size: clamp(1.5rem, 1.143rem + 1.79vw, 2.25rem);/* 24-36 to 320-992 */
--head-3-line-height: 1.25;
--font-size: clamp(1.5rem, 1.143rem + 1.79vw, 2.25rem);/* 24-36 to 320-992 */
--font-family: var(--font-family-heading);
--font-weight: 600;
--color: var(--color-white);
--word-break: keep-all;
--overflow-wrap: anywhere;
}

@media (width < 48em) { /* 0 -> 767px */

[class*="o-root-hero"] {
--hero-root-body-text-align: center;
--head-2-text-align: center;
--head-3-text-align: center;
}

}

/* @end @variables */

/* @group @o-root-hero */

[class*="o-root-hero"] {
position: relative;
z-index: 3;
display: grid;
grid-auto-flow: row;
grid-auto-columns: 1fr;
background-color: hsl(60deg 57% 95%);
backface-visibility: hidden;
}

[class*="m-hero-root-body"] {
padding-block: 7.5rem 8.25rem;
margin-right: var(--x-padding-right);
margin-left: var(--x-padding-left);
text-align: var(--hero-root-body-text-align);
}

[class*="m-hero-root-body"] {
display: grid;
grid-auto-flow: row;
gap: 4.5rem;
}

/* @end @o-root-hero */

/* -------------------------------------------------------- */

/* @group @a-root-hero-media */

[class*="a-root-hero-media"] {
position: absolute;
z-index: -2;
inset: -.5rem;
clip-path: polygon(0 0, 100% 0, 100% calc(100% - 2.25rem), 50% 100%, 0 calc(100% - 2.25rem));
}

[class*="a-root-hero-media"] img {
width: 100%;
height: 100%;
object-fit: cover;
object-position: center center;
filter: brightness(85%) contrast(90%) saturate(105%) blur(.125rem);
}

/* @end @a-root-hero-media */

/* -------------------------------------------------------- */

/* @group @a-root-hero-link */

[class*="a-root-hero-link"] {
width: 100%;
max-width: 30rem;
margin-inline: auto;
}

/* @end @a-root-hero-link */